Subject: Re: [IPsec] IPsec with QKD
From: Rodney Van Meter <[email-masked]>
To: [email-masked]
Cc: Rodney Van Meter <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Mon, 27 Oct 2014 17:43:54 -0400
List-Id: Discussion of IPsec protocols <ipsec.ietf.org>

Yes, you’re correct, we should be more exact there.

Shor’s algorithm solves both (if you believe in large-scale quantum computers).

Classically, I haven’t studied the relationship in depth myself, but this bachelor’s thesis from Harvard seems to be a survey:
http://modular.math.washington.edu/projects/john_gregg_thesis.pdf

		—Rod

On Oct 27, 2014, at 5:30 PM, <[email-masked]> <[email-masked]> wrote:

> A nit in section 5:  "The security of Diffie-Hellman depends on the difficulty of the factoring problem”.  More precisely, it depends on the difficulty of the modular discrete log problem, though it may be (I forgot if this is proven or a conjecture) that an efficient solution of that problem can be mapped to/from an efficient solution of the factoring problem.
> 
> paul
> 
> On Oct 27, 2014, at 2:13 PM, Rodney Van Meter <[email-masked]> wrote:
> 
>> ...
>> * We have just uploaded an -01 of the I-D we wrote, incorporating feedback from several people, including Sean Turner, Sheila Frankel and Alan Mink.
>>   http://datatracker.ietf.org/doc/draft-nagayama-ipsecme-ipsec-with-qkd/?include_text=1
>